nrmatch-methods {msbase} | R Documentation

## Number of matching peaks

### Description

Determines Number of matching peaks.

### Arguments

`obx` | see below in Methods section
`oby` | see below in Methods section
`error` | measurement error in e.g. Da or as relative error in parts per million (ppm)
`ppm` | if `TRUE` then error in parts per million(ppm), in arbitrary units otherwise.

### Methods

obx = "numeric", oby = "numeric"
  ~~describe this method here
obx = "Massvector", oby = "Massvector"
  ~~describe this method here
obx = "Massvectorlist", oby = "Massvector"
  ~~describe this method here
obx = "Massvectorlist", oby = "NULL"
  ~~describe this method here

### Examples

      data(pldata)
      pl1 <- pldata[[1]]
      pl2 <- pldata[[4]]
      nrmatch(pl1[,1,drop=TRUE],pl2[,1,drop=TRUE],error=0.1,ppm=FALSE)
      nrmatch(pl1,pl2,error=0.1,ppm=FALSE)
      nrmatch(pldata,pl1,error=0.1,ppm=FALSE)
    nrmatch(pldata,NULL,error=0.1,ppm=FALSE)

[Package msbase version 1.5.0 Index]